Skip to main content
GET
/
idp
/
policies
/
{policy_id}
/
users
List Users for IDP Policy
curl --request GET \
  --url https://api.leen.dev/v1/idp/policies/{policy_id}/users \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-CONNECTION-ID: <api-key>'
import requests

url = "https://api.leen.dev/v1/idp/policies/{policy_id}/users"

headers = {
"X-CONNECTION-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-CONNECTION-ID': '<api-key>', 'X-API-KEY': '<api-key>'}
};

fetch('https://api.leen.dev/v1/idp/policies/{policy_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 123,
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "domain": "<string>",
      "email_addr": "<string>",
      "full_name": "<string>",
      "name": "<string>",
      "vendor_id": "<string>",
      "vendor_status": "<string>",
      "vendor_created_at": "2023-11-07T05:31:56Z",
      "is_deleted": true,
      "activated_at": "2023-11-07T05:31:56Z",
      "last_status_changed_at": "2023-11-07T05:31:56Z",
      "last_login_at": "2023-11-07T05:31:56Z",
      "last_updated_at": "2023-11-07T05:31:56Z",
      "last_password_changed_at": "2023-11-07T05:31:56Z",
      "is_mfa_enabled": true,
      "is_admin": true,
      "employee_id": "<string>",
      "job_title": "<string>",
      "department": "<string>",
      "manager": "<string>",
      "address": {
        "street": "<string>",
        "city": "<string>",
        "state": "<string>",
        "country": "<string>",
        "postal_code": "<string>"
      },
      "vendor_data": {
        "vendor": "MS_ENTRA",
        "mail_nickname": "<string>",
        "password_policies": "<string>",
        "on_premises_distinguished_name": "<string>"
      }
    }
  ],
  "total": 123
}
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"detail": [
{}
]
}
{
"detail": "<string>"
}

Authorizations

X-CONNECTION-ID
string
header
required
X-API-KEY
string
header
required

Path Parameters

policy_id
string<uuid>
required

Query Parameters

enableCursor
boolean
default:false

Enable cursor based pagination instead of default offset-based pagination

updatedSince
string<date-time> | null

Datetime filter, only return items updated since this datetime. Example format: 2021-01-01T00:00:00+00:00

limit
integer
default:100

Limit size (page size)

Required range: x >= 0
offset
integer
default:0

Offset index (starting index of page)

Required range: x >= 0
excludeTotal
boolean
default:false

Skips returning the total rows, total is set to null when true

cursor
string | null

Skip token to continue from the last item in the previous page

Response

Successful Response

count
integer
required

Number of items return in the response

items
ScopedIDPUserRespModel · object[]
required

List of items returned in the response

total
integer | null

Total number of items that can be returned